/********************************** C94.H ********************************

Copyright NCR Corporation Microelectronics Division 12 October 1988

Author:		Ken Stewart NCR MPD Logic Products Applications Engineer
Purpose:	53C94 test software

This software was written by NCR Microelectronics to develop and test new
products.  It is not a general SCSI driver.  NCR assumes no liability for
its use, misuse or inability to use.

Project files:
		C94.C 		Main body of code
		TARGET.C	Target Mode routines
		C94_ISR.C	Interrupt Service Routine
		C94TEST.C	Automatic Test Module
		AT_DMA.C	hardware dependant DMA stuff
		AT_DMA.H
		C94AT.H		hardware addresses, global defines
		C94EV.H		external variables

				  **************/


/***************************** Global Variables **************************/

extern struct parms
  {
  unsigned 	tid, mid, atn, msg_byte, sync_offset, sync_period,
		blksize, blkcount, timeout, parity, clock, burst,
		detail, FASTclk, FAST_SCSI, REQ_ACK, TCT, ANE,
		ESRB, T8, DMA;
  } parms;

extern int             i, j, temp1, temp2, page, pagemax;

extern unsigned long	seg, off, abs_adrs, iocount;

extern unsigned int	dma_buf[2048], cdb_buf[8], byte_count, intstat,
			status, seq, flag, statbyte, msg, x_count,
			fifo_flags, scsicmd;

extern unsigned char	far* cdb, far* dmabyte, scsi_error, cmd_error,
			pause_flag, SDTR_out[16], SDTR_in[16],
			synch_string[14], test_error, RCB, group_code,
			bus_ID, ID_msg,	config1_image, config2_image,
			config3_image, config4_image;


extern char		cmd,temp,looprw,setup_cmd;

